@RestController
@RequestMapping("/api/handover")
public class HandoverController
extends Object
REST-API Endpoints --
- GET /api/handover/{id}: Returns data from the API
- PUT /api/handover/{id}: Updates an entry by ID
- DELETE /api/handover/{id}: Deletes an entry by ID
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
Constructors
-
Method Summary
org.springframework.http.ResponseEntity<Handover>
org.springframework.http.ResponseEntity<Void>
org.springframework.http.ResponseEntity<Handover>
org.springframework.http.ResponseEntity<Handover>
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
-
Method Details
-
createHandover
@PostMapping
public org.springframework.http.ResponseEntity<Handover> createHandover(@RequestBody
Handover item)
-
getAll
@GetMapping
public org.springframework.http.ResponseEntity<List<Handover>> getAll()
-
getById
@GetMapping("/{id}")
public org.springframework.http.ResponseEntity<Handover> getById(@PathVariable
Integer id)
-
update
@PutMapping("/{id}")
public org.springframework.http.ResponseEntity<Handover> update(@PathVariable
Integer id,
@RequestBody
Handover item)
-
delete
@DeleteMapping("/{id}")
public org.springframework.http.ResponseEntity<Void> delete(@PathVariable
Integer id)